# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Classes | Namespaces | Typedefs
eventloop.h File Reference
`#include <pthread.h>`
`#include <list>`
`#include "api.h"`
`#include "util.h"`
Include dependency graph for eventloop.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | DBus::DefaultTimeout
class | DBus::DefaultWatch
class | DBus::DefaultMutex
class | DBus::DefaultMainLoop

## Namespaces

namespace | DBus

## Typedefs

typedef std::list< DefaultTimeout * > | DBus::DefaultTimeouts
typedef std::list< DefaultWatch * > | DBus::DefaultWatches